Subject: Issue #727: Section 2.2, 4, & 7 - Miscellaneous & editorial [was : Last Call Comments on draft-ietf-iasa-bcp-02.txt]

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 23 Dec 2004 13:00:36 +0100

Responding to the items/topics that have been recorded as issue 727

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Margaret Wasserman
> Sent: Saturday, December 11, 2004 20:54
> To: [email-masked]
> Cc: [email-masked]
> Subject: Last Call Comments on draft-ietf-iasa-bcp-02.txt
> 
> 
.. snip ..

>     This document
>     does not affect the ISOC-IETF working relationship as it relates to
>     standards development or the communication of technical advice
>     relevant to the policy and educational goals of ISOC.
> 
> >>  I'd cite RFCs 2026 and 2048 as references here.
> 

Mmm... 2026 seems fine.
Not sure about 2048. That is about MIME stuff !!??
So which one do you mean? Probably 2031?

My current edit buffer now says:

     This document
     does not affect the ISOC-IETF working relationship as it relates to
     standards development [RFC2026, RFC2031] or the communication of
     technical advice relevant to the policy and educational goals of ISOC.

.. snip 
 
> 2.5  Effective Date for Commencement of IASA
> 
>     The procedures in this document shall become operational immediately
>     after this document has been approved by the process defined in BCP 9
>     [RFC2026] and has been affirmed by a Resolution of agreement by the
>     ISOC Board of Trustees.
> 
> >>  Just a minor wording suggestion...  Unless "Resolution of agreement"
> >>  is some type of legal phrase, I'd make the following change:
> >>
> >>  s/Resolution of agreement by/resolution of/
> >>
> >>  The ISOC Board has some wording that we use for these cases.  We
> >>  will accept the document and agree to carry out our
> >>  responsibilities, as described therein.  We don't use the words
> >>  "Reolution of agreement" to describe that, though.
> 

I have made this change for now.
But it may change completely pending the outcome of Issue 739, or so I think.

.. snip 

>     The IAOC may also choose to invite liaisons from other groups, but is
>     not required to do so; the IAOC decides whether or not to have a
>     liaison to any particular group.  Any such liaisons are non-voting.
>     Responsibility for selecting the individual filling a particular
>     liaison role with the body from which the IAOC has requested the
>     liaison.
> 
> >>  This last sentence isn't a sentence.  Perhaps:
> >>
> >>  s/role with/role lies with/ ?
> 
done

>     Appointed members of the IAOC serve two year terms.  IAOC terms
>     normally end at the first IETF meeting of a year, just as as IAB and
>     IESG terms do.
> 
>     The members of the IAOC shall select one of its appointed voting
>     members to serve as the chair of the IAOC, with all of the duties and
>     responsibilities normally associated with such a position.
> 
> >>  I'd remove everything after the comma.  There is no clear concept
> >>  of what duties and responsibilities would normally be associated
> >>  with such a position, and you have specific responsibilities and
> >>  limits listed later.
> 
No change made. It had quite some discussion during rev 01.
And we then seemed to have agreed (to me at least) on taking
the text from the IAB doc (RFC2850, sect 3.1) and not fiddle
with the words (as had been done earlier).
So after that earlier discussion on the text, I do not see this
as just an editorial change.

.. snip 

>        All
>        contracts executed by ISOC on behalf of IASA shall either include
>        a clause allowing termination or transfer by ISOC with six months
>        notice, or shall be transferable to another corporation in the
>        event that the IASA transitions away from ISOC.
> 
> >>  s/or transfer//  (it is redundant with the second half of 
> >>  this sentence).
> 

done

>        Any accrued
>        funds, any IETF-specific intellectual property rights, and any
>        IETF-specific data and tools shall also transition to the new
>        entity.
> 
> >>  By "accrued funds", you presumably mean funds that are currently
> >>  held in the IASA accounts.  So, why not just say so?
> 
> 
Mmm... I am sort of with you.
AT the other hand, I see continued discussion about "ISOC should not
credit xxx to IASA accounts".

So I am not sure your suggestion is just editorial. If we keep all the 
current text about crediting money to IASA accounts, then it is editorial.
But given the ongoing discussion, I have not (yet) made the change.

Bert

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Margaret Wasserman <[email-masked]>
Date: Sun, 26 Dec 2004 08:35:38 -0500

>So which one do you mean? Probably 2031?

Sorry.  I meant 2028.  But, 2031 is fine, too.

>as just an editorial change.

I personally still object, as I don't (personally) have a clear 
concept of what duties and responsibilities would normally be 
associated with the role of IAOC Chair.  Would you consider this 
person to be a peer with the IETF Chair and the IAB Chair, for 
instance?

>But given the ongoing discussion, I have not (yet) made the change.

There are two choices here:

(1) Either changing "accrued funds" to "funds held in the IASA 
accounts" is editorial.

or

(2) The term "accrued funds" needs to better defined.

Margaret

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Dec 2004 10:22:02 -0500

--On Sunday, 26 December, 2004 08:35 -0500 Margaret Wasserman
<[email-masked]> wrote:

>>>  >>  I'd remove everything after the comma.  There is no
>>>  >>  clear concept of what duties and responsibilities would
>>>  >>  normally be associated with such a position, and you
>>>  >>  have specific responsibilities and limits listed later.
>>> 
>> So after that earlier discussion on the text, I do not see
>> this as just an editorial change.
> 
> I personally still object, as I don't (personally) have a
> clear concept of what duties and responsibilities would
> normally be associated with the role of IAOC Chair.  Would you
> consider this person to be a peer with the IETF Chair and the
> IAB Chair, for instance?

Note, first, that we have never clarified whether the IETF Chair
and the IAB Chair are peers.  As a former IAB Chair, I have an
opinion on that subject, but it might differ from the opinions
(and certainly differs from some occasional practices) of prior
IETF Chairs.

Speaking pragmatically and based on some experience with general
organizational behavior as well as that of the IETF...  Not
having this issue absolutely clear will, sooner or later, lead
to a power struggle of some flavor unless the IAOC Chair rotates
at a fairly high rate, i.e., the position is clearly one of
"chair of current meeting or teleconf", not "Chair of the IAOC".

And, while Carl will probably consider that potential power
struggle as an edge case too, I think the odds of it occurring
and consuming a lot of energy unnecessarily are high enough that
it would be good to get this clarified and to be sure that the
community is signed up on the clarification.

   john

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Mon, 27 Dec 2004 03:00:41 +0100

At last ... This is why the ISOC scheme cannot work. One cannot serve two 
masters. This rises the question of who has the lead over the Internet R&D 
(a part from the users).
1. may be it is the time to remember the IRTF and its Chair: this would 
transform a praxis into a triumvirate.
2. rather then creating a dominance, why not to organize a conflict 
arbitration, for example by your ICANN BoD position. If there is a 
conflict, you are the first embarrassed.
jfc

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 Dec 2004 23:36:57 -0500

--On Monday, 27 December, 2004 03:00 +0100 "JFC (Jefsey) Morfin"
<[email-masked]> wrote:

> At last ... This is why the ISOC scheme cannot work. One
> cannot serve two masters. This rises the question of who has
> the lead over the Internet R&D (a part from the users).

No, Jefsey, as is often the case, I can't fathom how your
conclusions relate to what has been said.  First, the comment
has nothing to do with "the ISOC scheme", it is strictly a
matter of IETF-IASA leadership relationships and would exist no
matter what relationship the IASA has to ISOC.   Second, this
has very little, if anything, to do with "Internet R&D"
leadership, at least as I understand those terms: insofar as
anyone in the IETF-linked structures have any leadership role
there, it is clearly the IAB and not either the standards
functions of the IETF or any administrative body.  And, again,
this is independent of any links to ISOC or the absence of them.

And...

> 1. may be it is the time to remember the IRTF and its Chair:
> this would transform a praxis into a triumvirate.

Except that there is no ambiguity of relationships with the IRTF
leadership, and it was that ambiguity which Margaret and I were
addressing.  The IRTF Chair is appointed by the IAB and
essentially serves at the IAB's pleasure.

> 2. rather then creating a dominance, why not to organize a
> conflict arbitration, for example by your ICANN BoD position.
> If there is a conflict, you are the first embarrassed.

First, because ICANN has absolutely nothing to do with this and
the only value of dragging them into it would be to add
considerable confusion about roles and relationships.   To put
it mildly, I don't favor such confusion.  You may, of course,
disagree.  Second, my "ICANN BoD position" is a liaison one
only.  I'm appointed by the IAB, serve at their pleasure, and
feel obligated to follow any instructions I get from them when I
am acting in that capacity.  So injecting me, or future
occupants of that role, into this situation would essentially
just give the IAB the controlling vote.  It would not provide a
basis for impartial arbitration, but would, in your language,
just be a different way to "create a dominance".

    john

>> >>>  >>  clear concept of what duties and responsibilities
>> >>>  >>  would normally be associated with such a position,
>> >>>  >>  and you have specific responsibilities and limits
>> >>>  >>  listed later.
>> >>> 
>> >> And we then seemed to have agreed (to me at least) on
>> >> taking the text from the IAB doc (RFC2850, sect 3.1) and
>> >> not fiddle with the words (as had been done earlier).
>> > normally be associated with the role of IAOC Chair.  Would
>> > you consider this person to be a peer with the IETF Chair
>> > and the IAB Chair, for instance?
>> 
>> Note, first, that we have never clarified whether the IETF
>> Chair and the IAB Chair are peers.  As a former IAB Chair, I
>> have an opinion on that subject, but it might differ from the
>> opinions (and certainly differs from some occasional
>> practices) of prior IETF Chairs.
>> 
>> Speaking pragmatically and based on some experience with
>> general organizational behavior as well as that of the
>> IETF...  Not having this issue absolutely clear will, sooner
>> or later, lead to a power struggle of some flavor unless the
>> IAOC Chair rotates at a fairly high rate, i.e., the position
>> is clearly one of "chair of current meeting or teleconf", not
>> "Chair of the IAOC".
>> 
>> and consuming a lot of energy unnecessarily are high enough
>> that it would be good to get this clarified and to be sure
>> that the community is signed up on the clarification.
>> 
>>    john

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Mon, 27 Dec 2004 06:51:07 +0100

At 05:36 27/12/2004, John C Klensin wrote:
>conclusions relate to what has been said.

As usual you see the things with your internal IAB/IETF culture.
When you rise a problem you very often presuppose that this
culture is right. So you have real difficulty to understand that as
an IAB/IETF customer I first consider if the problem does not
root in that very culture, what is IMHO often the case.

Since I know you are quite concerned by multilingualism may
be will you understand this with the example of the RFC 3869.
It is a pure IAB product calling for Govs funding, yet not even
quoting multlingualism while is is the key Govs priority.

First, the comment
>matter what relationship the IASA has to ISOC.

Again, you only consider your own concerns - and I wander
what you may think I refer to??? When I say "ISOC scheme"
I do not discuss the way you want the IETF to relate with ISOC,
but the very choice of using ISOC to host the IASA.

As long as IETF is not incorporated with its own BoD the
administrative tasks will relate with two bosses and will be
hosted by a third one. I succeeded for years to be exactly
in that situation: believe me this gives a total autonomy. I
only feared first for my salary rises but I soon discovered
that this too was an auction :-)

>Second, this
>functions of the IETF or any administrative body.

Never considered that this might be a problem?

>And, again,

This is exactly what, as an IETF/IAB/IRTF customer
I think "urgent" to reconsider for a long ....

>considerable confusion about roles and relationships.

You see the things again from your IAB/IETF point of view. ICANN has 
nothing to do with this. What has to do is that this position is the only 
IAB/IETF "liaison" with the external world. There is not even an IAB/IETF 
member at the WGIG.

>To put
>only.

Yes. And if there is an internal conflict there will be a long internal 
delay with an e-mailing logorhea as only consequence. You will be the only 
one to have to document it outside and this way may be to see it in a 
different perspective, with probably other kinds of advices. The "liaison" 
being someone usually chosen for his experience, common sense and IAB/IETF 
good knowledge and trust, it could be the best internal and external 
facilitator we could have in case of difficulties. The experience of your 
current tenure shows it.

>I'm appointed by the IAB, serve at their pleasure, and
>just give the IAB the controlling vote.

Here, I do not understand. You say IAB as the leadership, anyway.
The concern you rise and I share is not that at the end of the day non one 
decides, but that it takes time and hurts.
In what I suggest there is no vote but arbitration and reasonable advices. 
In a less conflicting situation due to the restored weight
of IRTF.

>It would not provide a

You will not change that someone has eventually to take a decision. We only 
want to avoid conflicts. There only a need for decision facilitation. 
Simplest is an IETF BoD, smoother an experienced and open minded selected 
facilitator.

BTW I do not understand why you rise the question if you think the IAB 
Chair has the con.
Happy Xmas.
jfc

---

From: John C Klensin <[email-masked]>
Date: Mon, 27 Dec 2004 12:14:13 -0500

Jefsey,

I'm going to respond to this in the hope of clarifying, but it
will be my last response as some of what you have written below
persuades me that you aren't trying to listen to what others are
saying.

--On Monday, 27 December, 2004 06:51 +0100 "JFC (Jefsey) Morfin"
<[email-masked]> wrote:

>> --On Monday, 27 December, 2004 03:00 +0100 "JFC (Jefsey)
>> Morfin" <[email-masked]> wrote:
>> 

Well, I'm not as rooted in that culture as you assume I am.
But, be that as it may, this is an IETF list and an IETF
discussion.  The only reasonable goal of participating in that
discussion is to see if we, collectively, can make the IETF work
effectively (or, if one prefers, keep it working effectively).
I get quite pessimistic about that sometimes, but I obviously
have not given up yet.   If an when I do give up, and conclude
that some other structure would be more useful and effective, I
won't pursue it by trying to tune IETF procedures and structures
on an IETF list: the people and organizations who would be most
likely to want to work on such a replacement are, I believe,
pretty much gone already.

I'd encourage you to think about that.  If you have concluded,
as some of your notes lead me to believe that you have, that the
IETF has outlived its usefulness and that the best strategy is
to let it self-destruct and rot, then the best thing for you to
do is to start doing serious work on whatever replacement you
think appropriate, your ITU-I ideas or otherwise.  Create your
own mailing list, make an announcement as to where people with
similar assumptions and inclinations can follow you to discuss
and advance those ideas, and so on.   All you accomplish here is
to add noise in an environment in which almost everyone else is
trying, in good faith, to tune a strategy and make it work.

> quoting multlingualism while is is the key Govs priority.

I didn't write it.  I didn't participate in evaluating it.  The
IAB is entitled to its opinions and perspectives.  It is not
clear to me that governmental research funding on that topic
would add any real value, although it might contribute to Many
Fine Lunches and Dinners so, had I been part of the IAB process
that produced that document, I might have actually argued for
leaving internationalization issues out (or not, I haven't
thought much about it).    And, while "multilingualism" may be
the key priority of some governments, it is clearly not a
priority of others.  And, more important, few governments
actually agree on what the topic is about; many are far more
concerned with localization for their languages and character
sets, with anyone else's being of lower priority.

>> matter of IETF-IASA leadership relationships and would exist
>> no matter what relationship the IASA has to ISOC.
> 

But that is exactly what I was talking about, whether it is "my
own concerns" or not.  So, to say it again, nothing in my
earlier note, nor nothing in Margaret's, has anything to do with
the IASA-ISOC relationship.  The questions of the structure of
the IAOC, and whether the IAOC has a permanent Chair, and what
authority that Chair has, all would exist where the IASA was
hosted within ISOC or not.     And, as others have pointed out,
the "hosting within ISOC" question is, for better or worse,
settled.   You are violating the norms of this community by
continuing to introduce it, especially in the absence of any new
facts or information.  If you want to keep complaining or
suggesting alternatives, please take it somewhere else.

> that this too was an auction :-)

The community has reached a different conclusion.  See above.

> Never considered that this might be a problem?

Sure I've considered it might be a problem.  It is no secret
that I've never been completely happy with the reorganization of
a decade ago, largely because of the number of loose ends it
left dangling.   But we appear to be muddling through on that
front.  The IETF has evolved into an engineering and standards
organization, not a research and development one and that is
probably, IMO, A Good Thing.  And deciding that we have to solve
every possible real or imagined problem in order to move forward
with the administrative restructuring is the path to either
paralysis or madness.  Since I still hope for a functional IETF,
I'm not inclined toward either of those paths.

>> And, again,
>> this is independent of any links to ISOC or the absence of
>> them. And...
>> 
>> Except that there is no ambiguity of relationships with the
>> IRTF leadership, and it was that ambiguity which Margaret and
>> I were addressing.  The IRTF Chair is appointed by the IAB and

First, while you keep categorizing yourself as a "customer", it
is not clear to me that is true.  Second, as a customer, if you
are not happy with the structure or performance of your
supplier, maybe it is time you go elsewhere and find a supplier
you find more satisfactory.  The IETF has other customers who
seem less unhappy with the product and who aren't urging the
types of changes you are.   And many of them are far more
clearly "customers", in the sense that they are implementing
IETF standards and selling (or otherwise distributing) products
based on them.   I haven't seen you doing that lately.

>> > conflict arbitration, for example by your ICANN BoD
>> > position. If there is a conflict, you are the first
>> > embarrassed.
>> 
>> First, because ICANN has absolutely nothing to do with this
>> and the only value of dragging them into it would be to add
> You see the things again from your IAB/IETF point of view.
> ICANN has nothing to do with this. What has to do is that this
> position is the only IAB/IETF "liaison" with the external
> world.

Well, it is not the only one.  Please see the IAB web page and
elsewhere.  

> There is not even an IAB/IETF member at the WGIG.

Whether or not that statement is true (I don't know what an
"IETF member" is), why should there be?  To the best of my
knowledge, they didn't offer such a position and we didn't ask
for one.  The IETF doesn't do "Internet Governance" (whatever
that is).  I note that there is no formal ISO, or ETSI, or W3C,
presence at the WGIG either.

> Yes. And if there is an internal conflict there will be a long
> internal delay with an e-mailing logorhea as only consequence.
> You will be the only one to have to document it outside and
> this way may be to see it in a different perspective, with
> probably other kinds of advices.

But I would not have to "document it outside", whatever that
means.  Nor would I expect the IETF to take any advice on this
subject that comes from the ICANN direction.

> The "liaison" being someone
> usually chosen for his experience, common sense and IAB/IETF
> good knowledge and trust, it could be the best internal and
> external facilitator we could have in case of difficulties.
> The experience of your current tenure shows it.

If that is a complement, then thanks.  But part of my role is to
help preserve precisely the boundaries -- e.g., ICANN doesn't
meddle in IETF's standards or administrative structures; IETF
stays out of the "governance" business -- that you are either
assuming don't exist or that I should be tearing down.  Sorry,
but that doesn't appear to be what the IAB wants.  And, if they
start wanting it, they would need to find someone else to do it
because I think it would be a mistake for all concerned.

>> feel obligated to follow any instructions I get from them
>> when I am acting in that capacity.  So injecting me, or future

Only in the context of my relationship with ICANN.

> The concern you rise and I share is not that at the end of the
> day non one decides, but that it takes time and hurts.
> In what I suggest there is no vote but arbitration and
> reasonable advices. In a less conflicting situation due to the
> restored weight of IRTF.

You are trying to "restore" a situation that never existed.  The
IRTF has been organizationally subsidiary to the IAB throughout
the entire history of its existence.  As I trust you have
observed, we rarely make decisions around here by taking votes,
but try to reach consensus somehow.  If things get to voting,
the consensus process (whether it includes formal arbitration
and advice or not) has already failed.  In that context, what
you are asking for is, essentially "more trying to seek
consensus".  I think that is great, but the outcome isn't swift
decision-making.  If you need swift decision-making, you most
efficiently want a dictator, whether you call that individual an
arbitrator or not.  I don't want that job and I would be afraid
of anyone who did.

> You will not change that someone has eventually to take a
> decision. We only want to avoid conflicts. There only a need
> for decision facilitation. Simplest is an IETF BoD, smoother
> an experienced and open minded selected facilitator.

See above comments about decisions that have already been made.  

> BTW I do not understand why you rise the question if you think
> the IAB Chair has the con.

Please try to read what I wrote before telling me what I think.
I have said:

	* The IRTF is subsidiary to the IAB, and the IAB
	selected the IRTF leadership.
	
	* It is not clear whether the IAB Chair and IETF Chair
	are peers or if one has, somehow, more authority than
	the other, independent of the topic (each has some
	responsibilities and authority the other does not).

	* It would be my preference that the IAOC Chair be
	defined in a way that would avoid laying the foundation for any
	new power ambiguities and struggles

None of those implies in any way that the "IAB Chair has the
con".

best,
    john